%define upstream_name	 Text-Reform
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Manual text wrapping and reformatting
License:	Artistic
Group:		Text tools
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
The form() subroutine may be exported from the module. It takes a series
of format (or "picture") strings followed by replacement values, inter-
polates those values into each picture string, and returns the result.
The effect is similar to the inbuilt perl format mechanism, although the
field specification syntax is simpler and some of the formatting beha-
viour is more sophisticated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%__perl -pi -e "s,/usr/local/bin/perl,%__perl," *.pl
# muhahahah

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc README MANIFEST Changes META.yml
%{perl_vendorlib}/Text/*
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-9.mga8
+ Revision: 1497708
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-8.mga7
+ Revision: 1272132
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-7.mga6
+ Revision: 1035094
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.200.0-6.mga6
+ Revision: 933367
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-5.mga5
+ Revision: 744811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 686647
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 515606
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 374152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 27160
- mageia rebuild
- imported package perl-Text-Reform


* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2010.1
+ Revision: 432323
- update to 1.20

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.12.2-2mdv2010.0
+ Revision: 426596
- rebuild

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.2-1mdv2009.1
+ Revision: 270511
- new version
- spec cleanup

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.11-7mdv2009.0
+ Revision: 224383
- rebuild

* Tue Jan 22 2008 Jérôme Quelin <jquelin@mandriva.org> 1.11-6mdv2008.1
+ Revision: 156503
- force 5.10.0 rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.11-5mdv2008.0
+ Revision: 23304
- rebuild


* Fri Mar 31 2006 Buchan Milne <bgmilne@mandriva.org> 1.11-4mdk
- Rebuild
- use mkrel

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.11-3mdk
- rebuild

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.11-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Thu May 15 2003 Han Boetes <han@linux-mandrake.com> 1.11-1mdk
- first build for mandrake.

